/**
 */
package emfer.reachability;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EOperation;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see emfer.reachability.ReachabilityFactory
 * @model kind="package"
 *        annotation="http://www.eclipse.org/emf/2002/GenModel basePackage='emfer'"
 * @generated
 */
public interface ReachabilityPackage extends EPackage
{
   /**
    * The package name.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   String eNAME = "reachability";

   /**
    * The package namespace URI.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   String eNS_URI = "emfer.reachability";

   /**
    * The package namespace name.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   String eNS_PREFIX = "reachability";

   /**
    * The singleton instance of the package.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    */
   ReachabilityPackage eINSTANCE = emfer.reachability.impl.ReachabilityPackageImpl.init();

   /**
    * The meta object id for the '{@link emfer.reachability.impl.ReachabilityGraphImpl <em>Graph</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see emfer.reachability.impl.ReachabilityGraphImpl
    * @see emfer.reachability.impl.ReachabilityPackageImpl#getReachabilityGraph()
    * @generated
    */
   int REACHABILITY_GRAPH = 0;

   /**
    * The feature id for the '<em><b>States</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABILITY_GRAPH__STATES = 0;

   /**
    * The feature id for the '<em><b>Trafo Applications</b></em>' containment reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABILITY_GRAPH__TRAFO_APPLICATIONS = 1;

   /**
    * The number of structural features of the '<em>Graph</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABILITY_GRAPH_FEATURE_COUNT = 2;

   /**
    * The number of operations of the '<em>Graph</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABILITY_GRAPH_OPERATION_COUNT = 0;

   /**
    * The meta object id for the '{@link emfer.reachability.impl.GameStateImpl <em>Game State</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see emfer.reachability.impl.GameStateImpl
    * @see emfer.reachability.impl.ReachabilityPackageImpl#getGameState()
    * @generated
    */
   int GAME_STATE = 1;

   /**
    * The feature id for the '<em><b>Turn</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int GAME_STATE__TURN = 0;

   /**
    * The feature id for the '<em><b>Achieved Mu Conditions</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int GAME_STATE__ACHIEVED_MU_CONDITIONS = 1;

   /**
    * The feature id for the '<em><b>Board</b></em>' reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int GAME_STATE__BOARD = 2;

   /**
    * The number of structural features of the '<em>Game State</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int GAME_STATE_FEATURE_COUNT = 3;

   /**
    * The operation id for the '<em>To String</em>' operation.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int GAME_STATE___TO_STRING = 0;

   /**
    * The number of operations of the '<em>Game State</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int GAME_STATE_OPERATION_COUNT = 1;

   /**
    * The meta object id for the '{@link emfer.reachability.impl.ReachableStateImpl <em>Reachable State</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see emfer.reachability.impl.ReachableStateImpl
    * @see emfer.reachability.impl.ReachabilityPackageImpl#getReachableState()
    * @generated
    */
   int REACHABLE_STATE = 2;

   /**
    * The feature id for the '<em><b>Number</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABLE_STATE__NUMBER = 0;

   /**
    * The feature id for the '<em><b>Metric Value</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABLE_STATE__METRIC_VALUE = 1;

   /**
    * The feature id for the '<em><b>Parent</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABLE_STATE__PARENT = 2;

   /**
    * The feature id for the '<em><b>Root</b></em>' reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABLE_STATE__ROOT = 3;

   /**
    * The feature id for the '<em><b>All Mu Hold</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABLE_STATE__ALL_MU_HOLD = 4;

   /**
    * The feature id for the '<em><b>Conditions True</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABLE_STATE__CONDITIONS_TRUE = 5;

   /**
    * The feature id for the '<em><b>Result Of</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABLE_STATE__RESULT_OF = 6;

   /**
    * The feature id for the '<em><b>Trafo Applications</b></em>' reference list.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABLE_STATE__TRAFO_APPLICATIONS = 7;

   /**
    * The number of structural features of the '<em>Reachable State</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABLE_STATE_FEATURE_COUNT = 8;

   /**
    * The operation id for the '<em>To String</em>' operation.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABLE_STATE___TO_STRING = 0;

   /**
    * The number of operations of the '<em>Reachable State</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int REACHABLE_STATE_OPERATION_COUNT = 1;

   /**
    * The meta object id for the '{@link emfer.reachability.impl.OperationNameImpl <em>Operation Name</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see emfer.reachability.impl.OperationNameImpl
    * @see emfer.reachability.impl.ReachabilityPackageImpl#getOperationName()
    * @generated
    */
   int OPERATION_NAME = 3;

   /**
    * The feature id for the '<em><b>Op Name</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int OPERATION_NAME__OP_NAME = 0;

   /**
    * The number of structural features of the '<em>Operation Name</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int OPERATION_NAME_FEATURE_COUNT = 1;

   /**
    * The operation id for the '<em>To String</em>' operation.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int OPERATION_NAME___TO_STRING = 0;

   /**
    * The number of operations of the '<em>Operation Name</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int OPERATION_NAME_OPERATION_COUNT = 1;

   /**
    * The meta object id for the '{@link emfer.reachability.impl.TrafoApplicationImpl <em>Trafo Application</em>}' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see emfer.reachability.impl.TrafoApplicationImpl
    * @see emfer.reachability.impl.ReachabilityPackageImpl#getTrafoApplication()
    * @generated
    */
   int TRAFO_APPLICATION = 4;

   /**
    * The feature id for the '<em><b>Description</b></em>' attribute.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRAFO_APPLICATION__DESCRIPTION = 0;

   /**
    * The feature id for the '<em><b>Parent</b></em>' container reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRAFO_APPLICATION__PARENT = 1;

   /**
    * The feature id for the '<em><b>Src</b></em>' reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRAFO_APPLICATION__SRC = 2;

   /**
    * The feature id for the '<em><b>Tgt</b></em>' reference.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRAFO_APPLICATION__TGT = 3;

   /**
    * The number of structural features of the '<em>Trafo Application</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRAFO_APPLICATION_FEATURE_COUNT = 4;

   /**
    * The operation id for the '<em>To String</em>' operation.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRAFO_APPLICATION___TO_STRING = 0;

   /**
    * The number of operations of the '<em>Trafo Application</em>' class.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @generated
    * @ordered
    */
   int TRAFO_APPLICATION_OPERATION_COUNT = 1;

   /**
    * The meta object id for the '{@link emfer.reachability.Turn <em>Turn</em>}' enum.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @see emfer.reachability.Turn
    * @see emfer.reachability.impl.ReachabilityPackageImpl#getTurn()
    * @generated
    */
   int TURN = 5;


   /**
    * Returns the meta object for class '{@link emfer.reachability.ReachabilityGraph <em>Graph</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Graph</em>'.
    * @see emfer.reachability.ReachabilityGraph
    * @generated
    */
   EClass getReachabilityGraph();

   /**
    * Returns the meta object for the containment reference list '{@link emfer.reachability.ReachabilityGraph#getStates <em>States</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>States</em>'.
    * @see emfer.reachability.ReachabilityGraph#getStates()
    * @see #getReachabilityGraph()
    * @generated
    */
   EReference getReachabilityGraph_States();

   /**
    * Returns the meta object for the containment reference list '{@link emfer.reachability.ReachabilityGraph#getTrafoApplications <em>Trafo Applications</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the containment reference list '<em>Trafo Applications</em>'.
    * @see emfer.reachability.ReachabilityGraph#getTrafoApplications()
    * @see #getReachabilityGraph()
    * @generated
    */
   EReference getReachabilityGraph_TrafoApplications();

   /**
    * Returns the meta object for class '{@link emfer.reachability.GameState <em>Game State</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Game State</em>'.
    * @see emfer.reachability.GameState
    * @generated
    */
   EClass getGameState();

   /**
    * Returns the meta object for the attribute '{@link emfer.reachability.GameState#getTurn <em>Turn</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Turn</em>'.
    * @see emfer.reachability.GameState#getTurn()
    * @see #getGameState()
    * @generated
    */
   EAttribute getGameState_Turn();

   /**
    * Returns the meta object for the reference list '{@link emfer.reachability.GameState#getAchievedMuConditions <em>Achieved Mu Conditions</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference list '<em>Achieved Mu Conditions</em>'.
    * @see emfer.reachability.GameState#getAchievedMuConditions()
    * @see #getGameState()
    * @generated
    */
   EReference getGameState_AchievedMuConditions();

   /**
    * Returns the meta object for the reference '{@link emfer.reachability.GameState#getBoard <em>Board</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference '<em>Board</em>'.
    * @see emfer.reachability.GameState#getBoard()
    * @see #getGameState()
    * @generated
    */
   EReference getGameState_Board();

   /**
    * Returns the meta object for the '{@link emfer.reachability.GameState#toString() <em>To String</em>}' operation.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the '<em>To String</em>' operation.
    * @see emfer.reachability.GameState#toString()
    * @generated
    */
   EOperation getGameState__ToString();

   /**
    * Returns the meta object for class '{@link emfer.reachability.ReachableState <em>Reachable State</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Reachable State</em>'.
    * @see emfer.reachability.ReachableState
    * @generated
    */
   EClass getReachableState();

   /**
    * Returns the meta object for the attribute '{@link emfer.reachability.ReachableState#getNumber <em>Number</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Number</em>'.
    * @see emfer.reachability.ReachableState#getNumber()
    * @see #getReachableState()
    * @generated
    */
   EAttribute getReachableState_Number();

   /**
    * Returns the meta object for the attribute '{@link emfer.reachability.ReachableState#getMetricValue <em>Metric Value</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Metric Value</em>'.
    * @see emfer.reachability.ReachableState#getMetricValue()
    * @see #getReachableState()
    * @generated
    */
   EAttribute getReachableState_MetricValue();

   /**
    * Returns the meta object for the container reference '{@link emfer.reachability.ReachableState#getParent <em>Parent</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Parent</em>'.
    * @see emfer.reachability.ReachableState#getParent()
    * @see #getReachableState()
    * @generated
    */
   EReference getReachableState_Parent();

   /**
    * Returns the meta object for the reference '{@link emfer.reachability.ReachableState#getRoot <em>Root</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference '<em>Root</em>'.
    * @see emfer.reachability.ReachableState#getRoot()
    * @see #getReachableState()
    * @generated
    */
   EReference getReachableState_Root();

   /**
    * Returns the meta object for the attribute '{@link emfer.reachability.ReachableState#isAllMuHold <em>All Mu Hold</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>All Mu Hold</em>'.
    * @see emfer.reachability.ReachableState#isAllMuHold()
    * @see #getReachableState()
    * @generated
    */
   EAttribute getReachableState_AllMuHold();

   /**
    * Returns the meta object for the reference list '{@link emfer.reachability.ReachableState#getConditionsTrue <em>Conditions True</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference list '<em>Conditions True</em>'.
    * @see emfer.reachability.ReachableState#getConditionsTrue()
    * @see #getReachableState()
    * @generated
    */
   EReference getReachableState_ConditionsTrue();

   /**
    * Returns the meta object for the reference list '{@link emfer.reachability.ReachableState#getResultOf <em>Result Of</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference list '<em>Result Of</em>'.
    * @see emfer.reachability.ReachableState#getResultOf()
    * @see #getReachableState()
    * @generated
    */
   EReference getReachableState_ResultOf();

   /**
    * Returns the meta object for the reference list '{@link emfer.reachability.ReachableState#getTrafoApplications <em>Trafo Applications</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference list '<em>Trafo Applications</em>'.
    * @see emfer.reachability.ReachableState#getTrafoApplications()
    * @see #getReachableState()
    * @generated
    */
   EReference getReachableState_TrafoApplications();

   /**
    * Returns the meta object for the '{@link emfer.reachability.ReachableState#toString() <em>To String</em>}' operation.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the '<em>To String</em>' operation.
    * @see emfer.reachability.ReachableState#toString()
    * @generated
    */
   EOperation getReachableState__ToString();

   /**
    * Returns the meta object for class '{@link emfer.reachability.OperationName <em>Operation Name</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Operation Name</em>'.
    * @see emfer.reachability.OperationName
    * @generated
    */
   EClass getOperationName();

   /**
    * Returns the meta object for the attribute '{@link emfer.reachability.OperationName#getOpName <em>Op Name</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Op Name</em>'.
    * @see emfer.reachability.OperationName#getOpName()
    * @see #getOperationName()
    * @generated
    */
   EAttribute getOperationName_OpName();

   /**
    * Returns the meta object for the '{@link emfer.reachability.OperationName#toString() <em>To String</em>}' operation.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the '<em>To String</em>' operation.
    * @see emfer.reachability.OperationName#toString()
    * @generated
    */
   EOperation getOperationName__ToString();

   /**
    * Returns the meta object for class '{@link emfer.reachability.TrafoApplication <em>Trafo Application</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for class '<em>Trafo Application</em>'.
    * @see emfer.reachability.TrafoApplication
    * @generated
    */
   EClass getTrafoApplication();

   /**
    * Returns the meta object for the attribute '{@link emfer.reachability.TrafoApplication#getDescription <em>Description</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the attribute '<em>Description</em>'.
    * @see emfer.reachability.TrafoApplication#getDescription()
    * @see #getTrafoApplication()
    * @generated
    */
   EAttribute getTrafoApplication_Description();

   /**
    * Returns the meta object for the container reference '{@link emfer.reachability.TrafoApplication#getParent <em>Parent</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the container reference '<em>Parent</em>'.
    * @see emfer.reachability.TrafoApplication#getParent()
    * @see #getTrafoApplication()
    * @generated
    */
   EReference getTrafoApplication_Parent();

   /**
    * Returns the meta object for the reference '{@link emfer.reachability.TrafoApplication#getSrc <em>Src</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference '<em>Src</em>'.
    * @see emfer.reachability.TrafoApplication#getSrc()
    * @see #getTrafoApplication()
    * @generated
    */
   EReference getTrafoApplication_Src();

   /**
    * Returns the meta object for the reference '{@link emfer.reachability.TrafoApplication#getTgt <em>Tgt</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the reference '<em>Tgt</em>'.
    * @see emfer.reachability.TrafoApplication#getTgt()
    * @see #getTrafoApplication()
    * @generated
    */
   EReference getTrafoApplication_Tgt();

   /**
    * Returns the meta object for the '{@link emfer.reachability.TrafoApplication#toString() <em>To String</em>}' operation.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for the '<em>To String</em>' operation.
    * @see emfer.reachability.TrafoApplication#toString()
    * @generated
    */
   EOperation getTrafoApplication__ToString();

   /**
    * Returns the meta object for enum '{@link emfer.reachability.Turn <em>Turn</em>}'.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the meta object for enum '<em>Turn</em>'.
    * @see emfer.reachability.Turn
    * @generated
    */
   EEnum getTurn();

   /**
    * Returns the factory that creates the instances of the model.
    * <!-- begin-user-doc -->
    * <!-- end-user-doc -->
    * @return the factory that creates the instances of the model.
    * @generated
    */
   ReachabilityFactory getReachabilityFactory();

   /**
    * <!-- begin-user-doc -->
    * Defines literals for the meta objects that represent
    * <ul>
    *   <li>each class,</li>
    *   <li>each feature of each class,</li>
    *   <li>each operation of each class,</li>
    *   <li>each enum,</li>
    *   <li>and each data type</li>
    * </ul>
    * <!-- end-user-doc -->
    * @generated
    */
   interface Literals
   {
      /**
       * The meta object literal for the '{@link emfer.reachability.impl.ReachabilityGraphImpl <em>Graph</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see emfer.reachability.impl.ReachabilityGraphImpl
       * @see emfer.reachability.impl.ReachabilityPackageImpl#getReachabilityGraph()
       * @generated
       */
      EClass REACHABILITY_GRAPH = eINSTANCE.getReachabilityGraph();

      /**
       * The meta object literal for the '<em><b>States</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REACHABILITY_GRAPH__STATES = eINSTANCE.getReachabilityGraph_States();

      /**
       * The meta object literal for the '<em><b>Trafo Applications</b></em>' containment reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REACHABILITY_GRAPH__TRAFO_APPLICATIONS = eINSTANCE.getReachabilityGraph_TrafoApplications();

      /**
       * The meta object literal for the '{@link emfer.reachability.impl.GameStateImpl <em>Game State</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see emfer.reachability.impl.GameStateImpl
       * @see emfer.reachability.impl.ReachabilityPackageImpl#getGameState()
       * @generated
       */
      EClass GAME_STATE = eINSTANCE.getGameState();

      /**
       * The meta object literal for the '<em><b>Turn</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute GAME_STATE__TURN = eINSTANCE.getGameState_Turn();

      /**
       * The meta object literal for the '<em><b>Achieved Mu Conditions</b></em>' reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference GAME_STATE__ACHIEVED_MU_CONDITIONS = eINSTANCE.getGameState_AchievedMuConditions();

      /**
       * The meta object literal for the '<em><b>Board</b></em>' reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference GAME_STATE__BOARD = eINSTANCE.getGameState_Board();

      /**
       * The meta object literal for the '<em><b>To String</b></em>' operation.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EOperation GAME_STATE___TO_STRING = eINSTANCE.getGameState__ToString();

      /**
       * The meta object literal for the '{@link emfer.reachability.impl.ReachableStateImpl <em>Reachable State</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see emfer.reachability.impl.ReachableStateImpl
       * @see emfer.reachability.impl.ReachabilityPackageImpl#getReachableState()
       * @generated
       */
      EClass REACHABLE_STATE = eINSTANCE.getReachableState();

      /**
       * The meta object literal for the '<em><b>Number</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute REACHABLE_STATE__NUMBER = eINSTANCE.getReachableState_Number();

      /**
       * The meta object literal for the '<em><b>Metric Value</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute REACHABLE_STATE__METRIC_VALUE = eINSTANCE.getReachableState_MetricValue();

      /**
       * The meta object literal for the '<em><b>Parent</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REACHABLE_STATE__PARENT = eINSTANCE.getReachableState_Parent();

      /**
       * The meta object literal for the '<em><b>Root</b></em>' reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REACHABLE_STATE__ROOT = eINSTANCE.getReachableState_Root();

      /**
       * The meta object literal for the '<em><b>All Mu Hold</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute REACHABLE_STATE__ALL_MU_HOLD = eINSTANCE.getReachableState_AllMuHold();

      /**
       * The meta object literal for the '<em><b>Conditions True</b></em>' reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REACHABLE_STATE__CONDITIONS_TRUE = eINSTANCE.getReachableState_ConditionsTrue();

      /**
       * The meta object literal for the '<em><b>Result Of</b></em>' reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REACHABLE_STATE__RESULT_OF = eINSTANCE.getReachableState_ResultOf();

      /**
       * The meta object literal for the '<em><b>Trafo Applications</b></em>' reference list feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference REACHABLE_STATE__TRAFO_APPLICATIONS = eINSTANCE.getReachableState_TrafoApplications();

      /**
       * The meta object literal for the '<em><b>To String</b></em>' operation.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EOperation REACHABLE_STATE___TO_STRING = eINSTANCE.getReachableState__ToString();

      /**
       * The meta object literal for the '{@link emfer.reachability.impl.OperationNameImpl <em>Operation Name</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see emfer.reachability.impl.OperationNameImpl
       * @see emfer.reachability.impl.ReachabilityPackageImpl#getOperationName()
       * @generated
       */
      EClass OPERATION_NAME = eINSTANCE.getOperationName();

      /**
       * The meta object literal for the '<em><b>Op Name</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute OPERATION_NAME__OP_NAME = eINSTANCE.getOperationName_OpName();

      /**
       * The meta object literal for the '<em><b>To String</b></em>' operation.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EOperation OPERATION_NAME___TO_STRING = eINSTANCE.getOperationName__ToString();

      /**
       * The meta object literal for the '{@link emfer.reachability.impl.TrafoApplicationImpl <em>Trafo Application</em>}' class.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see emfer.reachability.impl.TrafoApplicationImpl
       * @see emfer.reachability.impl.ReachabilityPackageImpl#getTrafoApplication()
       * @generated
       */
      EClass TRAFO_APPLICATION = eINSTANCE.getTrafoApplication();

      /**
       * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EAttribute TRAFO_APPLICATION__DESCRIPTION = eINSTANCE.getTrafoApplication_Description();

      /**
       * The meta object literal for the '<em><b>Parent</b></em>' container reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference TRAFO_APPLICATION__PARENT = eINSTANCE.getTrafoApplication_Parent();

      /**
       * The meta object literal for the '<em><b>Src</b></em>' reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference TRAFO_APPLICATION__SRC = eINSTANCE.getTrafoApplication_Src();

      /**
       * The meta object literal for the '<em><b>Tgt</b></em>' reference feature.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EReference TRAFO_APPLICATION__TGT = eINSTANCE.getTrafoApplication_Tgt();

      /**
       * The meta object literal for the '<em><b>To String</b></em>' operation.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @generated
       */
      EOperation TRAFO_APPLICATION___TO_STRING = eINSTANCE.getTrafoApplication__ToString();

      /**
       * The meta object literal for the '{@link emfer.reachability.Turn <em>Turn</em>}' enum.
       * <!-- begin-user-doc -->
       * <!-- end-user-doc -->
       * @see emfer.reachability.Turn
       * @see emfer.reachability.impl.ReachabilityPackageImpl#getTurn()
       * @generated
       */
      EEnum TURN = eINSTANCE.getTurn();

   }

} //ReachabilityPackage
